"""
Base resource with user handling and Spotify integration
"""

__author__ = '@tormakris'
__copyright__ = "Copyright 2020, onSpot Team"
__module_name__ = "spotifyuserstoreresource"
__version__text__ = "1"

from spotipy.oauth2 import SpotifyClientCredentials
import spotipy

from resources.userstoreresource import UserStoreResource
from utils.config import SPOTIFY_CLIENT_ID, SPOTIFY_CLIENT_SECRET


class SpotifyUserStoreResource(UserStoreResource):
    spotify = spotipy.Spotify(auth_manager=SpotifyClientCredentials(client_id=SPOTIFY_CLIENT_ID,
                                                                    client_secret=SPOTIFY_CLIENT_SECRET))
